apiVersion: kustomize.config.k8s.io/v1beta1

resources:
- ../../base

patches:
- target:
   kind: Service
   name: price-game-frontend
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/loadBalancerIP
      value: "192.168.8.90"
- target:
   kind: Service
   name: rtsp-to-mjpeg-service
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/loadBalancerIP
      value: "192.168.8.91"
- target:
   kind: Service
   name: inference-server-service
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/loadBalancerIP
      value: "192.168.8.92"
- target:
   kind: Service
   name: price-game-service-service
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/loadBalancerIP
      value: "192.168.8.93"
# Replace the stoarge type for the Game Database
- target:
   kind: PersistentVolumeClaim
   name: postgres-data-claim
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/storageClassName
      value: "robin-block-immediate"
- target:
   kind: PersistentVolumeClaim
   name: models-volume-pvc
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /spec/storageClassName
      value: "robin-block-immediate"
# Set the ENV vars for the frontend to match the IPs
- target:
   kind: ConfigMap
   name: frontend-config-97678f7kkg
   namespace: price-a-tray
  patch: |-
    - op: replace
      path: /data/PUBLIC_RTSP_API_HOST
      value: "192.168.8.91"
    - op: replace
      path: /data/PUBLIC_INFERENCE_API_HOST
      value: "192.168.8.92"
    - op: replace
      path: /data/PUBLIC_GAME_API_HOST
      value: "192.168.8.93"
